webkit2gtk 2.18.0-2 source package in Ubuntu

Changelog

webkit2gtk (2.18.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf:
    + Update upstream branch name.
  * The WebKitGTK+ security advisory WSA-2017-0007 lists the following
    security fixes in WebKitGTK+ 2.16.3:
    + CVE-2017-1000121.
    + CVE-2017-1000122.

 -- Alberto Garcia <email address hidden>  Thu, 14 Sep 2017 10:44:32 +0300

Upload details

Uploaded by:
Debian WebKit Maintainers on 2017-09-14
Uploaded to:
Sid
Original maintainer:
Debian WebKit Maintainers
Architectures:
any all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
webkit2gtk_2.18.0-2.dsc 3.9 KiB ba4da90cca43a23213a5e67984daa393c01b7127e6a2db0d6dbc09d43e433aac
webkit2gtk_2.18.0.orig.tar.xz 14.1 MiB b583e46a3de36a3e80ba33b084ead60512a2046aca01ff61e50e519436e5038d
webkit2gtk_2.18.0.orig.tar.xz.asc 195 bytes e176752757bb1e37d824d91e1d7f9bb5c3f866c3b1a228948a6f924fe81f4f23
webkit2gtk_2.18.0-2.debian.tar.xz 53.7 KiB 5c4304823c8c637572bde4764f97ba0c67de5a877eea35737cd2293e438819d2

Available diffs

No changes file available.

Binary packages built by this source

gir1.2-javascriptcoregtk-4.0: JavaScript engine library from WebKitGTK+ - GObject introspection data

 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

gir1.2-webkit2-4.0: No summary available for gir1.2-webkit2-4.0 in ubuntu artful.

No description available for gir1.2-webkit2-4.0 in ubuntu artful.

libjavascriptcoregtk-4.0-18: No summary available for libjavascriptcoregtk-4.0-18 in ubuntu artful.

No description available for libjavascriptcoregtk-4.0-18 in ubuntu artful.

libjavascriptcoregtk-4.0-18-dbgsym: No summary available for libjavascriptcoregtk-4.0-18-dbgsym in ubuntu artful.

No description available for libjavascriptcoregtk-4.0-18-dbgsym in ubuntu artful.

libjavascriptcoregtk-4.0-bin: JavaScript engine library from WebKitGTK+ - command-line interpreter

 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

libjavascriptcoregtk-4.0-bin-dbgsym: No summary available for libjavascriptcoregtk-4.0-bin-dbgsym in ubuntu artful.

No description available for libjavascriptcoregtk-4.0-bin-dbgsym in ubuntu artful.

libjavascriptcoregtk-4.0-dev: No summary available for libjavascriptcoregtk-4.0-dev in ubuntu artful.

No description available for libjavascriptcoregtk-4.0-dev in ubuntu artful.

libwebkit2gtk-4.0-37: Web content engine library for GTK+

 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser. It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This is the library for embedding in GTK+ applications.

libwebkit2gtk-4.0-37-dbgsym: No summary available for libwebkit2gtk-4.0-37-dbgsym in ubuntu artful.

No description available for libwebkit2gtk-4.0-37-dbgsym in ubuntu artful.

libwebkit2gtk-4.0-37-gtk2: Transitional dummy package

 This is a transitional dummy package, it can be safely removed.
 .
 WebKitGTK no longer supports plugins that depend on GTK 2. If you
 still need to use the Adobe Flash Player then you can install
 browser-plugin-freshplayer-pepperflash.

libwebkit2gtk-4.0-37-gtk2-dbgsym: No summary available for libwebkit2gtk-4.0-37-gtk2-dbgsym in ubuntu artful.

No description available for libwebkit2gtk-4.0-37-gtk2-dbgsym in ubuntu artful.

libwebkit2gtk-4.0-dev: Web content engine library for GTK+ - development files

 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser. It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the development files.

libwebkit2gtk-4.0-doc: Web content engine library for GTK+ - documentation

 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser. It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the documentation.